# User API

User API

## Get information about the current user

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"User API","description":"User API"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/user/current":{"post":{"tags":["User API"],"summary":"Get information about the current user","description":"Permission annotations:","operationId":"getCurrentUser","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyContainer"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGCompanyUserFullInfoDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"EmptyContainer":{"required":["timestamp"],"type":"object","properties":{"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"}},"description":"Object with request data"},"PGCompanyUserFullInfoDTO":{"required":["availableAccounts","permissions","userFullInfo"],"type":"object","properties":{"userFullInfo":{"$ref":"#/components/schemas/PGUserFullInfoDTO"},"permissions":{"type":"array","description":"List of permission groups for an account","items":{"$ref":"#/components/schemas/PGAccountPermissionGroups"}},"availableAccounts":{"type":"array","description":"List of available accounts","items":{"$ref":"#/components/schemas/PGAccountResponseDTO"}}},"description":"Full information about the company's user"},"PGUserFullInfoDTO":{"required":["active","blocked","id","roles","username"],"type":"object","properties":{"id":{"type":"string","description":"ID","format":"uuid"},"username":{"type":"string","description":"Username","format":"uuid"},"companyId":{"type":"string","description":"Company ID","format":"uuid"},"companyName":{"type":"string","description":"Company Name"},"active":{"type":"boolean","description":"Is active?"},"blocked":{"type":"boolean","description":"Is blocked?"},"roles":{"uniqueItems":true,"type":"array","description":"List of roles","items":{"type":"string","description":"List of roles","enum":["SYSTEM","CALYPSO_ADMIN","FINANCE_ADMIN","LIQUIDITY_ADMIN","CALYPSO_PERSONAL_MANAGER","ACCOUNT","SUPPORT","COMPANY_ADMIN","COMPANY_AUDITOR"]}}},"description":"Full information about the user"},"PGAccountPermissionGroups":{"required":["accountId","accountName","permissionGroups"],"type":"object","properties":{"accountId":{"type":"string","description":"Account ID"},"accountName":{"type":"string","description":"Account Name"},"permissionGroups":{"uniqueItems":true,"type":"array","description":"Permission groups","items":{"$ref":"#/components/schemas/PGPermissionGroupDTO"}}},"description":"Account Permission Groups"},"PGPermissionGroupDTO":{"required":["groupId","name","permissionData"],"type":"object","properties":{"groupId":{"type":"integer","description":"Group ID","format":"int64"},"name":{"type":"string","description":"Group Name"},"permissionData":{"type":"object","additionalProperties":{"type":"string","description":"Permission Data"},"description":"Permission Data"}},"description":"Permission group"},"PGAccountResponseDTO":{"required":["account","name"],"type":"object","properties":{"account":{"type":"string","description":"Account ID"},"name":{"type":"string","description":"Account Name"}},"description":"Account Information"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```
